#ifndef __FIRE_PREFIX_H__
#error "Please do not include this file directly, use prefix.h"
#endif

#ifndef __sun
#error "ERROR: This include file is for SunOS only"
#endif

/*
 * Lets do some error checking first
 */
#ifdef __SUNPRO_CC
#if (__SUNPRO_CC_COMPAT != 5)
#error "ERROR: fort c++ compiler version, fdsrt requires forte Version 5 on SunOS"
#endif
#elif !defined(__SUNPRO_C)
#error "ERROR: Unknown compiler, fdsrt only supports Sun's forte compiler on SunOS"
#endif

#if !defined(__sparc)
#error "ERROR: fdsrt supports only SPARC architectures on SunOS"
#endif

#if !defined(_REENTRANT)
#error "ERROR: fdsrt requires the -mt compiler switch on SunOS"
#endif

#define FIRE_RT_PLATFORM_CHECK "forte5_sparc_solaris32"

#define RT_API
#define FIRE_API
